Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 149590 - CAN-2005-0210 dst leak
Summary: CAN-2005-0210 dst leak
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Miller
QA Contact: Brian Brock
URL:
Whiteboard: impact=moderate,public=20050130
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-24 10:54 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-26 10:45:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix for DST leak in ipv4 and ipv6 (deleted)
2005-03-28 19:10 UTC, David Miller
no flags Details | Diff
RHEL3 version of fix (deleted)
2005-04-05 21:41 UTC, David Miller
no flags Details | Diff

Description Mark J. Cox 2005-02-24 10:54:47 UTC
Herbert Xu said "...you'll also want to fix the dst leak problem.
While not immediately fatal, given enough time, fragments and spoofed
IP addresses, it'll exhaust your memory"

http://linux.bkbits.net:8080/linux-2.5/cset@41fd96c39V0t4MxKFxE1aZn2f4b5UA
http://linux.bkbits.net:8080/linux-2.5/cset@41fdb84aBJklcjU85o1N1_dsch6HBw

Comment 1 David Miller 2005-03-28 19:10:04 UTC
Created attachment 112395 [details]
Fix for DST leak in ipv4 and ipv6

Comment 4 David Miller 2005-04-05 21:41:22 UTC
Created attachment 112731 [details]
RHEL3 version of fix

Comment 5 Mark J. Cox 2005-07-26 10:45:01 UTC
This was fixed in RHSA-2005:366


Note You need to log in before you can comment on or make changes to this bug.